<div *ngIf="loggedIn">
  <lbt-navigation [title]="'Time Tracking'" (signOut)="signOut()" (themeChange)="themeChange($event)" [themeToggler]="true" [user]="user" [homePageLink]="'/'" [env]="env">
    <div class="main-content">
      <p-toast [style]="{ top: '85px' }"></p-toast>
      <p-confirmDialog header="Confirmation" icon="pi pi-exclamation-triangle"></p-confirmDialog>
      <div class="container">
         <div class="bg-content shadow">
            <p-tabMenu [model]="menuItems" [activeItem] ="lastActiveItem" class="no-outline"></p-tabMenu>
            <div class="progress-bar-content">
              <p-progressBar
                *ngIf="requestInProgress"
                class="no-outline"
                mode="indeterminate" 
                [style]="{ height: '3px' }"
              ></p-progressBar>
            </div>
          <router-outlet></router-outlet>
        </div>
      </div>
      <app-footer></app-footer>
    </div>
  </lbt-navigation>
</div>